<html>
<head>
<title>OGRE: Ogre::BillboardChain::ChainSegment Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1BillboardChain.html">BillboardChain</a>::<a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html">ChainSegment</a></div>
<h1>Ogre::BillboardChain::ChainSegment Struct Reference</h1><!-- doxytag: class="Ogre::BillboardChain::ChainSegment" -->Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1BillboardChain_1_1ChainSegment-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#2c6adff0f71d170a1d0c3ca336f44768">start</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The start of this chains subset of the buffer.  <a href="#2c6adff0f71d170a1d0c3ca336f44768"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#2297794c9d5c82455d6f0ebba8db1b37">head</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The 'head' of the chain, relative to start.  <a href="#2297794c9d5c82455d6f0ebba8db1b37"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#7e756025f58f6c7e6f6d0f63afe57e6c">tail</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The 'tail' of the chain, relative to start.  <a href="#7e756025f58f6c7e6f6d0f63afe57e6c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Simple struct defining a chain segment by referencing a subset of the preallocated buffer (which will be mMaxElementsPerChain * mChainCount long), by it's chain index, and a head and tail value which describe the current chain. 
<p>
The buffer subset wraps at mMaxElementsPerChain so that head and tail can move freely. head and tail are inclusive, when the chain is empty head and tail are filled with high-values. 
<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00294">294</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="2c6adff0f71d170a1d0c3ca336f44768"></a><!-- doxytag: member="Ogre::BillboardChain::ChainSegment::start" ref="2c6adff0f71d170a1d0c3ca336f44768" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#2c6adff0f71d170a1d0c3ca336f44768">Ogre::BillboardChain::ChainSegment::start</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The start of this chains subset of the buffer. 
<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00297">297</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2297794c9d5c82455d6f0ebba8db1b37"></a><!-- doxytag: member="Ogre::BillboardChain::ChainSegment::head" ref="2297794c9d5c82455d6f0ebba8db1b37" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#2297794c9d5c82455d6f0ebba8db1b37">Ogre::BillboardChain::ChainSegment::head</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The 'head' of the chain, relative to start. 
<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00299">299</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7e756025f58f6c7e6f6d0f63afe57e6c"></a><!-- doxytag: member="Ogre::BillboardChain::ChainSegment::tail" ref="7e756025f58f6c7e6f6d0f63afe57e6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1BillboardChain_1_1ChainSegment.html#7e756025f58f6c7e6f6d0f63afe57e6c">Ogre::BillboardChain::ChainSegment::tail</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The 'tail' of the chain, relative to start. 
<p>

<p>Definition at line <a class="el" href="OgreBillboardChain_8h-source.html#l00301">301</a> of file <a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreBillboardChain_8h-source.html">OgreBillboardChain.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:10 2008
</p>
</body>
</html>
